#Decommenter si necessaire
# install.packages("ggplot2")
# install.packages("gridExtra")
library("ggplot2")
library("grid")
library("gridExtra")

dataControl = read.table("./../data/simple.txt")
controlX = dataControl$V1;
controlY = dataControl$V2;

plotName<-ggplot(data=NULL) + 
  geom_path(data=NULL, aes(x=controlX,y=controlY), colour="black") +
  theme( plot.title = element_text(colour="black", size=10))+
  theme( axis.ticks = element_blank(), axis.text.x = element_blank() )+
  theme( axis.text.y = element_blank()) +
  theme( axis.line = element_line(colour="black")) +
  theme( axis.title.x=element_blank() )+
  theme( axis.title.y=element_blank() )+  
  theme( panel.background = element_blank() )+
  theme( panel.grid.major = element_blank()) +
  theme( panel.grid.minor = element_blank());

#grid.layout permet d'afficher plusieurs plot sous forme de grille
#il suffit de remplacer(1,1) par le nombre de ligne et de colonne souhaité
#et de faire un print des plot de la grille.
png("output.png",width=4*200, height=2*200, res=200);
vplayout <- function(x, y) viewport(layout.pos.row = x, layout.pos.col = y)
pushViewport(viewport(layout = grid.layout(1, 1)))
print(plotName, vp = vplayout(1, 1))
dev.off();
