#ifndef UTILS_H
#define UTILS_H

#include <Eigen/Dense>
#include <vector>

using namespace std;
using namespace Eigen;

vector<float> seq( float a, float b, int length );
int factorial(int n);
void getControlPoints( const char* filename, vector<Vector2d>& points );
void write( const char* filename, vector<Vector2d>& points );

#endif
